/*-----------------------------------------------------------------------------
    Name: flow
    Generated By: cavisson
    Date of generation: 04/26/2021 06:04:10
    Flow details:
    Build details: 4.3.0 (build# 98)
    Modification History:
-----------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ns_string.h"


void flow()
{
    ns_start_transaction("Login");	
    ns_ldap_login("Login",
       "URL=ldap://openldap:cavisson@10.10.30.41:389"
       //"URL=ldap://uid=Mani,dc=linuxexample,dc=com:cavisson@10.10.30.41:389"
    );
    
    ns_end_transaction("Login", NS_AUTO_STATUS);

    ns_page_think_time(1);
    
    ns_start_transaction("ldapsearch");	
    ns_ldap_search("ldapsearch",
        "URL=ldap://openldap:cavisson@10.10.30.41:389",
        "BASE=cn=New  user,dc=linuxexample,dc=com",
        "SCOPE=Subtree",
        "FILTER=(sn=user)",
        "TIME_OUT=10",
        "MODE=SYNC",
        "ATTR_NAME=uid"
    );
ns_end_transaction("ldapsearch", NS_AUTO_STATUS);

 ns_page_think_time(1);

 
    ns_start_transaction("ldapsearch1");	
    ns_ldap_search("ldapsearch1",
        "URL=ldap://openldap:cavisson@10.10.30.41:389",
        "BASE=cn=New  user,dc=linuxexample,dc=com",
        "SCOPE=Subtree",
        "FILTER=(sn=user)",
        "TIME_OUT=10",
        "MODE=SYNC"
    );
    ns_end_transaction("ldapsearch1", NS_AUTO_STATUS);

     ns_page_think_time(1);
     
ns_start_transaction("LdapAdd");	
    ns_ldap_add("LdapAdd",
        "URL=ldap://cn=admin,dc=linuxexample,dc=com:cavisson@10.10.30.41:389",
        "DN=uid=Rambo,dc=linuxexample,dc=com",
        ATTR_LIST_BEGIN,
            "NAME=objectClass, VALUE=inetOrgPerson",
            "NAME=description, VALUE=ohn Smith from Accounting.  John is the project manager of the b  uilding project, so contact him with any questions.",
            "NAME=cn, VALUE=Rambo",
            "NAME=sn, VALUE=Rambo",
            "NAME=uid, VALUE=Rambo",
            "NAME=mail, VALUE=rambo@gmail.com",
            "NAME=telephoneNumber, VALUE=telephoneNumber",
        ATTR_LIST_END
    );
    ns_end_transaction("LdapAdd", NS_AUTO_STATUS);
 ns_page_think_time(1);
 
ns_start_transaction("Delete");	
    ns_ldap_delete("Delete",
        "URL=ldap://uid=john,ou=People,dc=linuxexample,dc=com:cavisson@10.10.30.41:389",
        "DN=uid=ManishaP,dc=linuxexample,dc=com"
    );
    ns_end_transaction("Delete", NS_AUTO_STATUS);
     ns_page_think_time(1);
ns_start_transaction("LdapModfiy");	
    ns_ldap_modify("LdapModfiy",
        "URL=ldap://cn=admin,dc=linuxexample,dc=com:cavisson@10.10.30.41:389",
        "DN=uid=rajesh3,dc=linuxexample,dc=com",
        ATTR_LIST_BEGIN,
            "OPERATION=ADD, ATTR_NAME=mail, VALUE=rajesh3@gmail.com",
            "OPERATION=DELETE, ATTR_NAME=sn, VALUE=Giri3",
            "OPERATION=MODIFY, ATTR_NAME=cn, VALUE=ManishaDIDI",
        ATTR_LIST_END
    );
    ns_end_transaction("LdapModfiy", NS_AUTO_STATUS);
     ns_page_think_time(1);
ns_start_transaction("Rename");	
    ns_ldap_rename("Rename",
        "URL=ldap://cn=admin,dc=linuxexample,dc=com:cavisson@10.10.30.41:389",
        "DN=cn=New user,dc=linuxexample,dc=com ",
        "NEW_RDN=cn=New_user,dc=linuxexample,dc=com ",
        "DEL_OLD=1"
    );
    ns_end_transaction("Rename", NS_AUTO_STATUS);
 ns_page_think_time(1);
    
ns_start_transaction("ldapLogout");	
    ns_ldap_logout("ldapLogout",
        "URL=ldap://openldap:cavisson@10.10.30.41:389"
    );
 ns_end_transaction("ldapLogout", NS_AUTO_STATUS);
 ns_page_think_time(1);
}
